Genivia - saml2__AudienceRestrictionType Struct Reference

|  | Home | Documentation | saml2__AudienceRestrictionType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__AudienceRestrictionType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":AudienceRestrictionType is a complexType with complexContent extension of type "urn:oasis:names:tc:SAML:2.0:assertion":ConditionAbstractType. More...

`#include <saml2.h>`

## Public Attributes
int | __sizeAudience
| INHERITED FROM saml2__ConditionAbstractType: More...
char ** | saml2__Audience
| Array char* * of size 1..unbounded. More...

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":AudienceRestrictionType is a complexType with complexContent extension of type "urn:oasis:names:tc:SAML:2.0:assertion":ConditionAbstractType.

Note
  struct saml2__AudienceRestrictionType operations:
  - saml2__AudienceRestrictionType* soap_new_saml2__AudienceRestrictionType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml2__AudienceRestrictionType(struct soap*, saml2__AudienceRestrictionType*) default initialize members
  - int soap_read_saml2__AudienceRestrictionType(struct soap*, saml2__AudienceRestrictionType*) deserialize from a source
  - int soap_write_saml2__AudienceRestrictionType(struct soap*, saml2__AudienceRestrictionType*) serialize to a sink
  - saml2__AudienceRestrictionType* soap_dup_saml2__AudienceRestrictionType(struct soap*, saml2__AudienceRestrictionType* dst, saml2__AudienceRestrictionType <em>src) returns deep copy of saml2__AudienceRestrictionType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml2__AudienceRestrictionType(saml2__AudienceRestrictionType) deep deletes saml2__AudienceRestrictionType data members, use only on dst after soap_dup_saml2__AudienceRestrictionType(NULL, saml2__AudienceRestrictionType *dst, saml2__AudienceRestrictionType *src) (use soapcpp2 -Ed)

## Member Data Documentation

int saml2__AudienceRestrictionType::__sizeAudience

INHERITED FROM saml2__ConditionAbstractType:

Size of the dynamic array of values of type char* * is 1..unbounded.

char* * saml2__AudienceRestrictionType::saml2__Audience

Array char* * of size 1..unbounded.

Multiple elements.

The documentation for this struct was generated from the following file:

- saml2.h